#
# Conditional build:
%bcond_without	fluid	# fluidsynth support

%define	qt_ver	5.1.0

Summary:	Linux Music Editor
Summary(pl.UTF-8):	Edytor muzyczny dla Linuksa
Name:		muse
Version:	4.2.1
Release:	1
License:	GPL v2
Group:		X11/Applications/Sound
Source0:	https://github.com/muse-sequencer/muse/archive/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	7874a127d67bcae394463c486e4ce761
URL:		https://muse-sequencer.github.io/
BuildRequires:	Qt5Core-devel >= %{qt_ver}
BuildRequires:	Qt5Svg-devel >= %{qt_ver}
BuildRequires:	Qt5UiTools-devel >= %{qt_ver}
BuildRequires:	Qt5Widgets-devel >= %{qt_ver}
BuildRequires:	Qt5Xml-devel >= %{qt_ver}
BuildRequires:	alsa-lib-devel >= 0.9.0
BuildRequires:	cmake >= 2.8.0
BuildRequires:	dssi-devel >= 0.9.0
%{?with_fluid:BuildRequires:	fluidsynth-devel >= 2.0.0}
BuildRequires:	gtkmm-devel
BuildRequires:	jack-audio-connection-kit-devel >= 0.103
BuildRequires:	ladspa-devel
BuildRequires:	lash-devel >= 0.2
BuildRequires:	liblo >= 0.23
BuildRequires:	libsamplerate-devel >= 0.1.0
BuildRequires:	libsndfile-devel >= 1.0.25
BuildRequires:	libuuid-devel >= 0.1.8
BuildRequires:	lilv-devel >= 0.22.0
BuildRequires:	lv2-devel >= 1.12.0
BuildRequires:	qt5-build >= %{qt_ver}
BuildRequires:	qt5-linguist >= %{qt_ver}
BuildRequires:	qt5-qmake >= %{qt_ver}
BuildRequires:	rpmbuild(macros) >= 1.213
BuildRequires:	rtaudio-devel >= 4.0
BuildRequires:	sord-devel >= 0.14.0
Requires:	gtk-update-icon-cache
Requires:	hicolor-icon-theme
Suggests:	lash
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MusE is a MIDI/Audio sequencer with recording and editing
capabilities.

%description -l pl.UTF-8
MuSE jest sekwencerem MIDI/Audio z możliwościami nagrywania i edycji.

%package doc
Summary:	MusE documentation
Summary(pl.UTF-8):	Dokumentacja do MusE
Group:		Documentation

%description doc
MusE documentation.

%description doc -l pl.UTF-8
Dokumentacja do MusE.

%prep
%setup -q

%{__sed} -E -i -e '1s,#!\s*/usr/bin/python(\s|$),#!%{__python3}\1,' \
      src/utils/muse-find-unused-wavs \
      src/utils/muse-song-convert.py

%{__sed} -E -i -e '1s,#!\s*/usr/bin/env\s+python3(\s|$),#!%{__python3}\1,' \
      src/share/scripts/ConstantLength \
      src/share/scripts/ConstantVelocityForNote \
      src/share/scripts/CreateBassline \
      src/share/scripts/DoNothing \
      src/share/scripts/Humanize \
      src/share/scripts/RandomPosition1 \
      src/share/scripts/RandomizeVelocityRelative \
      src/share/scripts/RemoveAftertouch \
      src/share/scripts/RemoveShortEvents \
      src/share/scripts/Rhythm1 \
      src/share/scripts/SpeedDouble \
      src/share/scripts/SpeedHalf \
      src/share/scripts/SwingQuantize1 \
      src/share/scripts/TempoDelay \
      src/share/scripts/Reverse \
      src/share/scripts/SpeedChange

%build
install -d src/build
cd src/build
export CFLAGS="%{rpmcflags} $(pkg-config --cflags atkmm-1.6)"
export CXXFLAGS="%{rpmcxxflags} $(pkg-config --cflags atkmm-1.6)"
%cmake \
	-DMusE_DOC_DIR="%{_docdir}/%{name}-%{version}" \
	../

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C src/build install \
	DESTDIR=$RPM_BUILD_ROOT \

%{__rm} $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/COPYING

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files
%defattr(644,root,root,755)
# do not use %doc, as it would remove files which are already there
%{_docdir}/%{name}-%{version}/AUTHORS
%{_docdir}/%{name}-%{version}/ChangeLog
%{_docdir}/%{name}-%{version}/README*
%{_docdir}/%{name}-%{version}/SECURITY
%{_docdir}/muse-4.2.1/libdivide_LICENSE
%dir %{_docdir}/%{name}-%{version}/deicsonze
%{_docdir}/%{name}-%{version}/deicsonze/*
%dir %{_docdir}/%{name}-%{version}/fluidsynth
%{_docdir}/%{name}-%{version}/fluidsynth/*
%dir %{_docdir}/%{name}-%{version}/freeverb
%{_docdir}/%{name}-%{version}/freeverb/*
%dir %{_docdir}/%{name}-%{version}/simpledrums
%{_docdir}/%{name}-%{version}/simpledrums/*
%dir %{_docdir}/%{name}-%{version}/vam
%{_docdir}/%{name}-%{version}/vam/*
%attr(755,root,root) %{_bindir}/muse4
%attr(755,root,root) %{_bindir}/muse_plugin_scan
%attr(755,root,root) %{_bindir}/grepmidi
%dir %{_libdir}/%{name}-4.2
%dir %{_libdir}/%{name}-4.2/converters
%dir %{_libdir}/%{name}-4.2/modules
%dir %{_libdir}/%{name}-4.2/plugins
%dir %{_libdir}/%{name}-4.2/synthi
%attr(755,root,root) %{_libdir}/%{name}-4.2/converters/*.so
%attr(755,root,root) %{_libdir}/%{name}-4.2/modules/*.so
%attr(755,root,root) %{_libdir}/%{name}-4.2/plugins/*
%attr(755,root,root) %{_libdir}/%{name}-4.2/synthi/*
%dir %{_datadir}/%{name}-4.2
%dir %{_datadir}/%{name}-4.2/demos
%dir %{_datadir}/%{name}-4.2/drummaps
%dir %{_datadir}/%{name}-4.2/instruments
%dir %{_datadir}/%{name}-4.2/locale
%dir %{_datadir}/%{name}-4.2/metronome
%dir %{_datadir}/%{name}-4.2/plugins
%dir %{_datadir}/%{name}-4.2/presets
%dir %{_datadir}/%{name}-4.2/pybridge
%dir %{_datadir}/%{name}-4.2/rdf
%dir %{_datadir}/%{name}-4.2/scoreglyphs
%dir %{_datadir}/%{name}-4.2/scripts
%dir %{_datadir}/%{name}-4.2/templates
%dir %{_datadir}/%{name}-4.2/themes
%dir %{_datadir}/%{name}-4.2/utils
%dir %{_datadir}/%{name}-4.2/wallpapers
%{_datadir}/mime/packages/muse.xml
%{_datadir}/%{name}-4.2/splash.jpg
%{_datadir}/%{name}-4.2/didyouknow.txt
%{_datadir}/%{name}-4.2/demos/*
%{_datadir}/%{name}-4.2/drummaps/*
%{_datadir}/%{name}-4.2/instruments/*
%{_datadir}/%{name}-4.2/locale/*
%{_datadir}/%{name}-4.2/metronome/*
%{_datadir}/%{name}-4.2/plugins/*
%{_datadir}/%{name}-4.2/presets/*
%{_datadir}/%{name}-4.2/pybridge/*
%{_datadir}/%{name}-4.2/rdf/*
%{_datadir}/%{name}-4.2/scoreglyphs/*
%{_datadir}/%{name}-4.2/scripts/*
%{_datadir}/%{name}-4.2/templates/*
%{_datadir}/%{name}-4.2/themes/*
%{_datadir}/%{name}-4.2/utils/*
%{_datadir}/%{name}-4.2/wallpapers/*
%{_desktopdir}/io.github.muse_sequencer.Muse.desktop
%{_mandir}/man1/*
%{_iconsdir}/hicolor/*x*/apps/muse.png
%{_datadir}/metainfo/io.github.muse_sequencer.Muse.appdata.xml

%files doc
%defattr(644,root,root,755)
%dir %{_docdir}/%{name}-%{version}
%dir %{_docdir}/%{name}-%{version}/muse_html
%dir %{_docdir}/%{name}-%{version}/muse_html/single
%dir %{_docdir}/%{name}-%{version}/muse_html/split
%dir %{_docdir}/%{name}-%{version}/muse_html/single/documentation
%dir %{_docdir}/%{name}-%{version}/muse_html/single/developer_docs
%dir %{_docdir}/%{name}-%{version}/muse_html/split/documentation
%dir %{_docdir}/%{name}-%{version}/muse_html/split/developer_docs
%dir %{_docdir}/%{name}-%{version}/muse_pdf
%{_docdir}/%{name}-%{version}/muse_pdf/*.pdf
%{_docdir}/%{name}-%{version}/muse_html/single/documentation/*
%{_docdir}/%{name}-%{version}/muse_html/single/developer_docs/*
%{_docdir}/%{name}-%{version}/muse_html/split/documentation/*
%{_docdir}/%{name}-%{version}/muse_html/split/developer_docs/*
%changelog
* Sun Mar 23 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/muse.git;a=log;h=master

* Mon Mar 24 2025 Jan Rękorajski <baggins@pld-linux.org> f3cc17e
- up to 4.2.1

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 0073909
- Release 5 (by relup.sh)

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 95c9bb9
- python 3.13 rebuild

* Sun May 07 2023 Jakub Bogusz <qboosh@pld-linux.org> 667b706
- unified, release 3 (rtaudio update)

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 1211350
- rebuild with python 3.10

* Sun Jan 30 2022 Jan Rękorajski <baggins@pld-linux.org> 0dfb39a
- up to 4.0.0

* Thu Nov 22 2018 Jacek Konieczny <jajcus@jajcus.net> 70daa0b
- Qt dependencies updated

* Thu Nov 22 2018 Jacek Konieczny <jajcus@jajcus.net> a372a8f
- Version: 3.0.2, new fluidsynth and Qt compatibility

* Sat Jun 01 2013 Lukasz Glebicki <blekot@pld-linux.org> 8aa11bc
- sed switched to patch
- rel 2 for stbr

* Sat Jun 01 2013 Lukasz Glebicki <blekot@pld-linux.org> 1d70170
- Merge branch 'master' of git://git.pld-linux.org/packages/muse

* Sat Jun 01 2013 Lukasz Glebicki <blekot@pld-linux.org> 1ddf0e1
- removed outdated patch: muse-libtool.patch
- added muse-CMakeLists.txt.patch for linking problems (X11) and change
  muse-version install name to muse

* Tue May 28 2013 Elan Ruusamäe <glen@delfi.ee> da17769
- use G: doc for -doc; deps for icon cache updating

* Tue May 28 2013 Lukasz Glebicki <blekot@pld-linux.org> 6308a8e
- up to 2.1.2
- updated desktop file to muse2
- build switched to cmake
- new BRs
- R: lash
- removed ladcca and pch bcond
- removed patch0 (outdated)
- used sed to change install dircetory name
- added doc package for HTML/PDF files

* Fri Jan 15 2010 sparky <sparky@pld-linux.org> 0d89782
- use preferred %{!?...} instead of %{?!...}

* Wed Dec 26 2007 blekot <blekot@pld-linux.org> 12ddd30
- massive change ( validate errors warrings from desktop-file-validate)
  - sed -i 's,Encoding=UTF-8,,g' *.desktop
  - sed -i "s,.png,,1" `grep -l 'Icon=[^/].*\.png' *.desktop`
  - sed -i "s,MimeType=.*,\0;,g" `grep "MimeType.*semicolon" validate |awk '{print $1}' |tr ":" " "`
  - sed -i 's,MapNotify=.*,,g' *.desktop
  - sed -i '/^$/d' *.desktop
- not all error/warrings validated

* Mon Apr 09 2007 shadzik <shadzik@pld-linux.org> 9ac89a1
- mass attack: qt-devel epoch

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> a13c1b7
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 0763436
- converted to UTF-8

* Wed May 11 2005 Jakub Bogusz <qboosh@pld-linux.org> 8c7ce58
- use x8664 macro

* Sat Apr 16 2005 Andrzej Augustynowicz <andrzej@augustynowicz.eu.org> b4ee16e
- really undefine fluid support for arch !x86,amd64

